<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.12"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eduRayTracer: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eduRayTracer
   &#160;<span id="projectnumber">v_2017_2018_1</span>
   </div>
   <div id="projectbrief">An Educational Ray Tracing Software Package (by Pedro Santana, ISCTE-IUL)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.12 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_t.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all class members with links to the classes they belong to:</div>

<h3><a id="index_t"></a>- t -</h3><ul>
<li>t
: <a class="el" href="class_camera.html#a4d5917a7f2bbd9a43c476d6db6fd6f1d">Camera</a>
, <a class="el" href="structhit__rec.html#a974e27fdf82ec6b3678d7ab07d11c4e9">hit_rec</a>
</li>
<li>tex_coord
: <a class="el" href="structhit__rec.html#ac649739da1e743acb234e66146b1d3a6">hit_rec</a>
, <a class="el" href="class_vertex.html#a7b05126ac048975668016c73345e01b1">Vertex</a>
</li>
<li>tex_height
: <a class="el" href="class_material.html#a64903bf3624a095b95004620cc4c3688">Material</a>
</li>
<li>tex_image
: <a class="el" href="class_material.html#ae87327bf313e3ba962250e6bc330f990">Material</a>
</li>
<li>tex_map
: <a class="el" href="class_material.html#aa888d8c2af8d3e4b83c84b5bf1a7a44f">Material</a>
</li>
<li>tex_pixel()
: <a class="el" href="class_material.html#afbe529757a43277bb1d1a65c42741e68">Material</a>
</li>
<li>tex_width
: <a class="el" href="class_material.html#ae8dc3db8a8b55b6709017d953e8e6ce8">Material</a>
</li>
<li>tf
: <a class="el" href="class_camera.html#a33bab7beb6bd121e399776c37e529471">Camera</a>
, <a class="el" href="class_light.html#a33549e9047c9103a2fdf43be0825407f">Light</a>
, <a class="el" href="class_surface.html#a444077659d77f2e034ae163cbb103134">Surface</a>
</li>
<li>tiling
: <a class="el" href="class_material.html#ae9546ff9da82a0f7de667d3f9f1ee3fe">Material</a>
</li>
<li>tip_point()
: <a class="el" href="class_ray.html#a921c1b4282b604067d1e22de870c362d">Ray</a>
</li>
<li>transform()
: <a class="el" href="class_camera.html#a187bed1cba664e132932dcb94ab99486">Camera</a>
, <a class="el" href="class_light.html#ab8637968f4709709716577ca196f5e74">Light</a>
, <a class="el" href="class_mesh.html#afca381025e36aeaf6dcab4f8aa89113c">Mesh</a>
, <a class="el" href="class_scene.html#aa164a99f7b7b95f91ad96c065da409d5">Scene</a>
, <a class="el" href="class_surface.html#a10655735b685f4363df818a2c6fdfb9b">Surface</a>
</li>
<li>Transform()
: <a class="el" href="class_transform.html#a13428997892b461d999ca0d75d01ab34">Transform</a>
</li>
<li>transform()
: <a class="el" href="class_vertex.html#a0910d793f80561fbf49e8a81be889afc">Vertex</a>
</li>
<li>Translate()
: <a class="el" href="class_mat.html#a274248708a0553b5edaabbab255afdcb">Mat</a>
</li>
<li>transpose()
: <a class="el" href="class_mat.html#a55e6cc33fc65042a4cff351fe59ae476">Mat</a>
</li>
<li>Triangle()
: <a class="el" href="class_triangle.html#a832e2951677446251badffbfc3936715">Triangle</a>
</li>
<li>triangleFromID()
: <a class="el" href="class_scene.html#adf0478423fdf556ddb7759ad358e1597">Scene</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Fri Sep 15 2017 15:54:23 for eduRayTracer by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.12 </li>
  </ul>
</div>
</body>
</html>
